MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029504Open CASCADE[OCCT] OCCT:Shape Healingpublic2018-02-14 08:332019-08-13 16:49
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0029504: ShapeUpgrade_UnifySameDomain produces invalid shape and ShapeFix_Shape is unable to fix it
DescriptionThe ShapeUpgrade_UnifySameDomain algorithm is unable to produce the correct result on the shapes in which faces based on the same closed surface are connected through the split seam edge. After the unification of the seam edge, the algorithm performs healing of the faces one by one (creates 2d curves for the new edges). During the first run the ShapeFix creates 2d curve for the unified edge on the first face, and on the second run this 2d curve is shifted on the period for the second face making the first face invalid (ShapeFix_Wire::FixShifted()).
Applying the ShapeFix_Shape algorithm to such invalid result does not make any difference, as the ShapeFix_Shape performs the same actions.

The problem has been detected while working on the issue #0029481.
Steps To Reproducerestore [locate_data_file bug29504_cyl.brep] s
unifysamedom r s
checkshape r
# BRepCheck_UnorientableShape
# BRepCheck_NotClosed

fixshape rf r
checkshape rf
# BRepCheck_UnorientableShape
# BRepCheck_NotClosed



restore [locate_data_file bug29504_sph.brep] s
unifysamedom r s
checkshape r
# BRepCheck_UnorientableShape
# BRepCheck_NotClosed

fixshape rf r
checkshape rf
# BRepCheck_UnorientableShape
# BRepCheck_NotClosed
TagsNo tags attached.
Test case numberNot required
Attached Files? file icon bug29504_cyl.brep (2,532 bytes) 2018-02-14 08:36
? file icon bug29504_sph.brep (3,484 bytes) 2018-02-14 08:36

- Relationships
related to 0030099closedbugmaster Open CASCADE Modeling Algorithms - ShapeUpgrade_UnifySameDomain produces invalid result 
has duplicate 0030158closedbugmaster Community Shape Healing - Incorrect result produced by ShapeUpgrade_UnifySameDomain 

-  Notes
(0082302)
denix56 (reporter)
2019-02-22 16:11

Are there any updates on this issue?
(0085210)
msv (developer)
2019-06-21 18:01

No updates. You can facilitate the fix by contacting OpenCascade support (https://www.opencascade.com/contact [^]).
(0086204)
msv (developer)
2019-08-12 17:09
edited on: 2019-08-12 17:09

This bug is fixed with #30534. Please close it.


- Issue History
Date Modified Username Field Change
2018-02-14 08:33 emv New Issue
2018-02-14 08:33 emv Assigned To => gka
2018-02-14 08:36 emv File Added: bug29504_cyl.brep
2018-02-14 08:36 emv File Added: bug29504_sph.brep
2018-02-14 08:40 emv Steps to Reproduce Updated View Revisions
2018-02-14 15:09 emv Description Updated View Revisions
2018-02-14 15:10 emv Relationship added related to 0029481
2018-08-31 10:48 emv Relationship added related to 0030099
2018-09-24 19:59 msv Relationship added has duplicate 0030158
2019-02-22 16:11 denix56 Note Added: 0082302
2019-06-21 18:01 msv Note Added: 0085210
2019-07-17 11:31 msv Relationship added related to 0030534
2019-08-12 17:09 msv Note Added: 0086204
2019-08-12 17:09 msv Assigned To gka => bugmaster
2019-08-12 17:09 msv Status new => feedback
2019-08-12 17:09 msv Note Edited: 0086204 View Revisions
2019-08-13 16:32 bugmaster Test case number => Not required
2019-08-13 16:49 bugmaster Status feedback => verified
2019-08-13 16:49 bugmaster Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker